package com.jxdinfo.hussar.core.bouncycastle.asn1.teletrust;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1ObjectIdentifier;
import com.jxdinfo.hussar.core.util.ProductInfo;
import com.jxdinfo.hussar.core.util.RenderUtil;

public interface TeleTrusTObjectIdentifiers {
  public static final ASN1ObjectIdentifier brainpoolP192r1;
  
  public static final ASN1ObjectIdentifier brainpoolP384t1;
  
  public static final ASN1ObjectIdentifier ecSignWithRipemd160;
  
  public static final ASN1ObjectIdentifier brainpoolP512r1;
  
  public static final ASN1ObjectIdentifier ecc_brainpool;
  
  public static final ASN1ObjectIdentifier rsaSignatureWithripemd256;
  
  public static final ASN1ObjectIdentifier brainpoolP160r1;
  
  public static final ASN1ObjectIdentifier teleTrusTAlgorithm = new ASN1ObjectIdentifier(ProductInfo.if("\t[\f\\\021YF\026"));
  
  public static final ASN1ObjectIdentifier brainpoolP224r1;
  
  public static final ASN1ObjectIdentifier brainpoolP256r1;
  
  public static final ASN1ObjectIdentifier versionOne;
  
  public static final ASN1ObjectIdentifier brainpoolP320r1;
  
  public static final ASN1ObjectIdentifier brainpoolP224t1;
  
  public static final ASN1ObjectIdentifier ripemd128;
  
  public static final ASN1ObjectIdentifier teleTrusTRSAsignatureAlgorithm;
  
  public static final ASN1ObjectIdentifier brainpoolP256t1;
  
  public static final ASN1ObjectIdentifier rsaSignatureWithripemd128;
  
  public static final ASN1ObjectIdentifier ripemd256;
  
  public static final ASN1ObjectIdentifier brainpoolP192t1;
  
  public static final ASN1ObjectIdentifier ripemd160 = teleTrusTAlgorithm.branch(RenderUtil.this("[cY"));
  
  public static final ASN1ObjectIdentifier rsaSignatureWithripemd160;
  
  public static final ASN1ObjectIdentifier brainpoolP160t1;
  
  public static final ASN1ObjectIdentifier brainpoolP384r1;
  
  public static final ASN1ObjectIdentifier ecSignWithSha1;
  
  public static final ASN1ObjectIdentifier ellipticCurve;
  
  public static final ASN1ObjectIdentifier brainpoolP320t1;
  
  public static final ASN1ObjectIdentifier brainpoolP512t1;
  
  public static final ASN1ObjectIdentifier ecSign;
  
  static {
    ripemd128 = teleTrusTAlgorithm.branch(ProductInfo.if("]F\027"));
    ripemd256 = teleTrusTAlgorithm.branch(RenderUtil.this("[c["));
    teleTrusTRSAsignatureAlgorithm = teleTrusTAlgorithm.branch(ProductInfo.if("\\F\024"));
    rsaSignatureWithripemd160 = teleTrusTRSAsignatureAlgorithm.branch(RenderUtil.this("Z"));
    rsaSignatureWithripemd128 = teleTrusTRSAsignatureAlgorithm.branch(ProductInfo.if("\026"));
    rsaSignatureWithripemd256 = teleTrusTRSAsignatureAlgorithm.branch(RenderUtil.this("\\"));
    ecSign = teleTrusTAlgorithm.branch(ProductInfo.if("\\F\027"));
    ecSignWithSha1 = ecSign.branch(RenderUtil.this("Y"));
    ecSignWithRipemd160 = ecSign.branch(ProductInfo.if("\027"));
    ecc_brainpool = teleTrusTAlgorithm.branch(RenderUtil.this("Mb[cP"));
    ellipticCurve = ecc_brainpool.branch(ProductInfo.if("\024"));
    versionOne = ellipticCurve.branch(RenderUtil.this("Y"));
    brainpoolP160r1 = versionOne.branch(ProductInfo.if("\024"));
    brainpoolP160t1 = versionOne.branch(RenderUtil.this("Z"));
    brainpoolP192r1 = versionOne.branch(ProductInfo.if("\026"));
    brainpoolP192t1 = versionOne.branch(RenderUtil.this("\\"));
    brainpoolP224r1 = versionOne.branch(ProductInfo.if("\020"));
    brainpoolP224t1 = versionOne.branch(RenderUtil.this("^"));
    brainpoolP256r1 = versionOne.branch(ProductInfo.if("\022"));
    brainpoolP256t1 = versionOne.branch(RenderUtil.this("P"));
    brainpoolP320r1 = versionOne.branch(ProductInfo.if("\034"));
    brainpoolP320t1 = versionOne.branch(RenderUtil.this("|X"));
    brainpoolP384r1 = versionOne.branch(ProductInfo.if("Y\024"));
    brainpoolP384t1 = versionOne.branch(RenderUtil.this("|Z"));
    brainpoolP512r1 = versionOne.branch(ProductInfo.if("Y\026"));
    brainpoolP512t1 = versionOne.branch(RenderUtil.this("|\\"));
  }
}
